# One thread library is needed, check CAROB-117
# let's provide a default

# This may be wrong check:
# FreeBSD Porter's Handbook > Dos and Don'ts > Threading libraries
# It can easily be fixed on the command line:
#    gmake OS=freebsd CLIENT_LDLIBS=-pthread / -lc_r / -lthr / etc.

CLIENT_LDLIBS		= -pthread



# ports pkg_add -r libgmp is installing GMP here
# same thing for libiconv
MK_CPPFLAGS += -I/usr/local/include
MK_LDFLAGS  += -L/usr/local/lib


# named locales do not work on FreeBSD. See carob/doc/locales
# fallback on Iconv

MK_CPPFLAGS += -DCAROB_USE_ICONV
MK_LDLIBS   += -liconv


# Unreliable FreeBSD hack. According to Bruno Haible, in 2000
# wchar_t on FreeBSD was: "All bytes belonging to the multibyte char,
# packed in a single word. This makes the widechar <--> multibyte
# converter quite fast."
#
# ==> locale-dependent and definitely not unicode.
# See also carob/doc/locales

MK_CPPFLAGS += -DCAROB_FORCE_UNICODE_WCHAR

